> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List files

> List drive nodes. Use local APIs for decrypted file names when cloud fields are encrypted.



## OpenAPI

````yaml /openapi/vued-public-api.yaml get /orgs/{org_id}/files
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/files:
    get:
      tags:
        - Files
      summary: List files
      description: >-
        List drive nodes. Use local APIs for decrypted file names when cloud
        fields are encrypted.
      operationId: listFiles
      parameters:
        - $ref: '#/components/parameters/OrgId'
        - name: type
          in: query
          schema:
            type: string
            enum:
              - file
              - folder
        - name: q
          in: query
          schema:
            type: string
          description: Case-insensitive name substring.
        - name: parent_id
          in: query
          schema:
            type: string
            format: uuid
        - name: root_only
          in: query
          schema:
            type: boolean
        - name: visibility
          in: query
          schema:
            type: string
            enum:
              - org
              - restricted
        - name: record_id
          in: query
          schema:
            type: string
            format: uuid
        - name: created_after
          in: query
          schema:
            type: string
        - name: created_before
          in: query
          schema:
            type: string
        - name: updated_after
          in: query
          schema:
            type: string
        - name: updated_before
          in: query
          schema:
            type: string
        - name: sort
          in: query
          schema:
            type: string
            enum:
              - name_asc
              - name_desc
              - updated_at_asc
              - updated_at_desc
              - created_at_asc
              - created_at_desc
              - date_asc
              - date_desc
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
      responses:
        '200':
          description: File page.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilePage'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 50
    Cursor:
      name: cursor
      in: query
      schema:
        type: string
  schemas:
    FilePage:
      allOf:
        - $ref: '#/components/schemas/Page'
        - type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/File'
    Page:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items: {}
        next_cursor:
          type:
            - string
            - 'null'
    File:
      type: object
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - file
        encrypted:
          type: boolean
        type:
          type: string
          enum:
            - file
            - folder
        name:
          type: string
        name_enc:
          type:
            - object
            - 'null'
        parent_id:
          type:
            - string
            - 'null'
          format: uuid
        visibility:
          type: string
          enum:
            - org
            - restricted
        record_type:
          type:
            - string
            - 'null'
        record_id:
          type:
            - string
            - 'null'
          format: uuid
        share_id:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````